Subject: Re: bug#49221: [PATCH 00/13] Add go-1.16 and build with gccgo

From: Sarah Morgensen <[email-masked]>
Date: Sat, 24 Jul 2021 19:17:28 -0700

Hi Efraim,

Just following up on this.

Efraim Flashner <[email-masked]> writes:

> On Thu, Jun 24, 2021 at 11:52:55PM -0700, Sarah Morgensen via Guix-patches via wrote:
>> Hello Guix,
>> 
>> This patch adds go 1.16, but does *not* make it the default for other packages
>> which use go (as suggested in [2]). There have been a lot of changes between
>> 1.14 and 1.16, and while I have fixed many issues, I am sure continued testing
>> will uncover many more.
>> 
>> This patch is based on [0], which adds gccgo-10.
>
> I've applied the patch, so it should now be available in the main repo :)

Should the following related issues be closed now?

[0] <https://issues.guix.gnu.org/28226> Build go with gccgo
[1] <https://issues.guix.gnu.org/46380> gnu: gccgo: Add version 10.
[2] <https://issues.guix.gnu.org/47434> Added Go 1.16.2
[3] <https://issues.guix.gnu.org/45161> Update go?

[...]

> My only concern about the patches is that I've been burned before about
> pushing updates to go packages, where some seem to have insufficient
> testing and then they'll build and fail. So in the meantime I've pushed
> the [email-masked] patch.

Is there something specific to be done to sufficiently test them?  I'm
not sure what else to do other than manually testing dependents.

Thanks,
Sarah